pcl::PCLHeader Struct Reference

`#include <pcl/PCLHeader.h>`

## Public Types

typedef boost::shared_ptr< PCLHeader > | Ptr
typedef boost::shared_ptr< PCLHeader const > | ConstPtr

## Public Member Functions

| PCLHeader ()

## Public Attributes

pcl::uint32_t | seq
| Sequence number. More...
pcl::uint64_t | stamp
| A timestamp associated with the time when the data was acquired. More...
std::string | frame_id
| Coordinate frame ID. More...

## Detailed Description

Definition at line 16 of file PCLHeader.h.

## Member Typedef Documentation

typedef boost::shared_ptr<PCLHeader const> pcl::PCLHeader::ConstPtr

Definition at line 32 of file PCLHeader.h.

typedef boost::shared_ptr<PCLHeader> pcl::PCLHeader::Ptr

Definition at line 31 of file PCLHeader.h.

## Constructor & Destructor Documentation

pcl::PCLHeader::PCLHeader | ( |  | ) |

inline

Definition at line 18 of file PCLHeader.h.

## Member Data Documentation

std::string pcl::PCLHeader::frame_id

Coordinate frame ID.

Definition at line 29 of file PCLHeader.h.

Referenced by pcl::operator<<().

pcl::uint32_t pcl::PCLHeader::seq

Sequence number.

Definition at line 22 of file PCLHeader.h.

Referenced by pcl::operator<<().

pcl::uint64_t pcl::PCLHeader::stamp

A timestamp associated with the time when the data was acquired.

The value represents microseconds since 1970-01-01 00:00:00 (the UNIX epoch).

Definition at line 27 of file PCLHeader.h.

Referenced by pcl::PointCloud< ModelT >::operator+=(), and pcl::operator<<().

The documentation for this struct was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/common/include/pcl/PCLHeader.h